idf_component_register(SRCS "ad5940.c"
                       INCLUDE_DIRS ".")

# Vendor library — suppress warnings we can't fix
target_compile_options(${COMPONENT_LIB} PRIVATE
    -Wno-maybe-uninitialized
    -Wno-unused-variable
    -Wno-unused-but-set-variable)
